
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PIM.Messages Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.PIM.Messages</h1><h2>Description</h2>
<p>This interface provides access to the list of messages.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.PIM.Messages</tt></p>
<h2>Methods</h2><ul>
<li><a href="#Add">Add</a></li>
<li><a href="#AddIncoming">AddIncoming</a></li>
<li><a href="#GetSingleEntrySingleField">GetSingleEntrySingleField</a></li>
<li><a href="#Query">Query</a></li>
<li><a href="#QueryThreads">QueryThreads</a></li>
<li><a href="#GetUnreadMessages">GetUnreadMessages</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#NewMessage">NewMessage</a></li>
<li><a href="#IncomingMessage">IncomingMessage</a></li>
<li><a href="#UnreadMessages">UnreadMessages</a></li>
<li><a href="#UpdatedMessage">UpdatedMessage</a></li>
<li><a href="#DeletedMessage">DeletedMessage</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="Add">Add</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Add a new message to the default message backend. </p><h4>Parameters</h4><i>a{sv}: message_data</i><p>The data of the message. </p><h4>Returns</h4><i>s: message_path</i><p>The path of the newly added message. </p>
<h3><a name="AddIncoming">AddIncoming</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Add a new message to the default message backend and notify client about incoming message. </p><h4>Parameters</h4><i>a{sv}: message_data</i><p>The data of the message. </p><h4>Returns</h4><i>s: message_path</i><p>The path of the newly added message. </p>
<h3><a name="GetSingleEntrySingleField">GetSingleEntrySingleField</a> ( a{sv}s ) &rarr; s</h3>
<p><i>Description:</i> Query the content of a single field of one message. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><i>s: field</i><p>The name of the field to return the value for. </p><h4>Returns</h4><i>s: value</i><p>The value of the queried field. </p>
<h3><a name="Query">Query</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Query a list of messages. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><h4>Returns</h4><i>s: query_path</i><p>The path for the started query. </p>
<h3><a name="QueryThreads">QueryThreads</a> ( a{sv} ) &rarr; s</h3>
<p><i>Description:</i> Query a list of message threads. </p><h4>Parameters</h4><i>a{sv}: query</i><p>The query. </p><h4>Returns</h4><i>s: query_path</i><p>The path for the started query. </p>
<h3><a name="GetUnreadMessages">GetUnreadMessages</a> ( ) &rarr; i</h3>
<p><i>Description:</i> Get the amount of unread incoming messages. </p><h4>Returns</h4><i>i: amount</i><p>Amount of unread messages </p>
<h1>Signals</h1><h3><h3><a name="NewMessage">NewMessage</a> ( s )</h3><p><i>Description:</i> Sent when a new message is loaded. </p><h4>Parameters</h4><i>s: message_path</i><p>The path of the newly loaded message. </p></h3>
<h3><h3><a name="IncomingMessage">IncomingMessage</a> ( s )</h3><p><i>Description:</i> Sent when a incoming message arrives. </p><h4>Parameters</h4><i>s: message_path</i><p>The path of the newly arrived incoming message. </p></h3>
<h3><h3><a name="UnreadMessages">UnreadMessages</a> ( i )</h3><p><i>Description:</i> Sent when amount of unread incoming messages changes. </p><h4>Parameters</h4><i>i: amount</i><p>Amount of unread incoming messages. </p></h3>
<h3><h3><a name="UpdatedMessage">UpdatedMessage</a> ( sa{sv} )</h3><p><i>Description:</i> Sent whenever a message has been updated. </p><h4>Parameters</h4><i>s: message_path</i><p>The DBus path of the message that was updated. </p><i>a{sv}: message_data</i><p>The data that was changed for the message. </p></h3>
<h3><h3><a name="DeletedMessage">DeletedMessage</a> ( s )</h3><p><i>Description:</i> Sent whenever a message has been deleted. </p><h4>Parameters</h4><i>s: message_path</i><p>The DBus path of the message that has been deleted. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

